Bug 854505 - SELinux is preventing pwconv from read, write access on the chr_file /dev/mapper/control.
SELinux is preventing pwconv from read, write access on the chr_file /dev/map...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:17191835e87e7c90b312dd98cc5...
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-09-05 04:24 EDT by Kamil Páral
Modified: 2012-10-23 12:42 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 12:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-05 04:24 EDT, Kamil Páral
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-05 04:24 EDT, Kamil Páral
no flags Details
File: description (2.12 KB, text/plain)
2012-09-05 04:24 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-09-05 04:24:47 EDT
Description of problem:


Version-Release number of selected component:
(null)

Additional info:
libreport version: 2.0.12
kernel:         3.6.0-0.rc2.git2.1.fc18.i686
Comment 1 Kamil Páral 2012-09-05 04:24:50 EDT
Created attachment 609894 [details]
File: type
Comment 2 Kamil Páral 2012-09-05 04:24:55 EDT
Created attachment 609895 [details]
File: hashmarkername
Comment 3 Kamil Páral 2012-09-05 04:24:58 EDT
Created attachment 609896 [details]
File: description
Comment 4 Kamil Páral 2012-09-05 04:31:27 EDT
I see this alert when doing a system installation from Fedora 18 Alpha TC5 Live GNOME i686. After the installation has finished, this was in the list of alerts.

Proposing as Final blocker. Our criteria only speaks about installed system boot, not about selinux alerts during installation. I don't know whether it applies:
" In most cases, there must be no SELinux 'AVC: denied' messages or abrt crash notifications on initial boot and subsequent login (see Blocker_Bug_FAQ) "
https://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria

We should either fix the alert or disable SELinux troubleshooter when Live is run, so that the users are not bothered with cryptic messages.
Comment 5 Daniel Walsh 2012-09-06 23:58:00 EDT
Anaconda or some app being executed by the install is leaking this file descriptor.

 /dev/mapper/control

It should be closed with
fcntl(fd, F_SETFD, FD_CLOEXEC)


I have seen a similar leak on install to restorecon
Comment 6 Petr Schindler 2012-09-11 02:59:00 EDT
This bug is still present in Alpha RC2. I'm +1 on final blocker. This could be confusing for users.
Comment 7 Brian Lane 2012-10-23 12:42:49 EDT
Works fine for me with TC6 Live-Desktop x86_64

Note You need to log in before you can comment on or make changes to this bug.